Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching
Class MatcherAPIHelper

    java.lang.Object
      com.sun.mdm.index.matching.MatcherAPIHelper

public class MatcherAPIHelper
extends java.lang.Object

A Helper class to load the configured implementation class as configured for the matcher api component

Constructor Summary
`MatcherAPIHelper()` Creates new MatcherAPIHelper

Method Summary
`MatchEngineConfiguration` | `getMatchEngineConfigImpl()` Load the configured implementation class and instantiate it.
`MatcherAPI` | `getMatcherAPIImpl()` Load the configured implementation class and instantiate it.
`(package private) MEFAFactory` | `getMEFAFactory()` Helper to load and instantiate MEFA classes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatcherAPIHelper

    public MatcherAPIHelper()

  Creates new MatcherAPIHelper

Method Detail

### getMatchEngineConfigImpl

    public MatchEngineConfiguration getMatchEngineConfigImpl()
                                                      throws java.lang.InstantiationException,
                                                             java.lang.ClassNotFoundException,
                                                             java.lang.IllegalAccessException

  Load the configured implementation class and instantiate it.

  Returns:
    the configured MatchEngineConfiguration instance
  Throws:
    `java.lang.InstantiationException` - Instantiating the configured class failed
    `java.lang.ClassNotFoundException` - Loading the configured class failed
    `java.lang.IllegalAccessException` - Loading/Instantiating the configured class is not allowed by the current security settings

### getMatcherAPIImpl

    public MatcherAPI getMatcherAPIImpl()
                                 throws java.lang.InstantiationException,
                                        java.lang.ClassNotFoundException,
                                        java.lang.IllegalAccessException

  Load the configured implementation class and instantiate it.

  Returns:
    the MatcherAPI implementation instance configured
  Throws:
    `java.lang.InstantiationException` - Instantiating the configured class failed
    `java.lang.ClassNotFoundException` - Loading the configured class failed
    `java.lang.IllegalAccessException` - Loading/Instantiating the configured class is not allowed by the current security settings
    `java.lang.ClassNotFoundException` - if the configured class could not be found
    `java.lang.InstantiationException` - if the configured class could not be instantiated
    `java.lang.IllegalAccessException` - Loading/Instantiating the configured class is not allowed by the current security settings

### getMEFAFactory

    MEFAFactory getMEFAFactory()

  Helper to load and instantiate MEFA classes

  Returns:
    MEFAFactory to help loading and instantiating MEFA classes

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.